#
# spec file for package octave-forge-octclip
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  octclip
Name:           octave-forge-%{octpkg}
Version:        1.0.8
Release:        bp153.1.23
Summary:        Octave clipping polygons tool
License:        GPL-3.0+ and BSD-3-Clause
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM octclip-openmp.patch -- Fix build with OpenMP
Patch1:         octclip-openmp.patch
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 2.9.7

%description
This package allows to do boolean operations with polygons using
the Greiner-Hormann algorithm.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch1 -p0
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Tue Jul  7 2015 dmitry_r@opensuse.org
- Update to version 1.0.8
  * Bug fixes and minor changes
* Thu Apr  9 2015 dmitry_r@opensuse.org
- Fix build with OpenMP
  * octclip-openmp.patch
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.0.3
